#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Oct 28 11:35:03 2022

@author: sadievrenseker
"""

import pandas as pd

df = pd.read_excel('gender.xlsx', index_col =0  )

df = df.drop('gender', axis = 1)
df2 = pd.read_excel('gender2.xlsx',index_col = 0)

df = df.merge(df2,left_on=df.index,right_on=df2.index)
df = df.drop('key_0', axis = 1)

X = df[ ['height'] ]

y = df['weight']



from sklearn.model_selection import train_test_split
X_train, X_test, y_train, y_test = train_test_split(
    X, y, test_size=0.33, random_state=42)




from sklearn.linear_model import LinearRegression
lr = LinearRegression()
lr.fit(X_train,y_train)
ypred = lr.predict(X_test)

from sklearn.metrics import mean_absolute_error
mae = mean_absolute_error(y_test,ypred)
print(mae)


X = df.drop('weight', axis = 1)

y = df['weight']

from sklearn.linear_model import LinearRegression
lr2 = LinearRegression()
lr2.fit(X_train,y_train)
ypred = lr2.predict(X_test)

from sklearn.metrics import mean_absolute_error
mae = mean_absolute_error(y_test,ypred)
print(mae)

#### Polynomial regression


from sklearn.preprocessing import PolynomialFeatures
pf = PolynomialFeatures(degree = 2)
X2 = pf.fit_transform(X)


from sklearn.model_selection import train_test_split
X_train, X_test, y_train, y_test = train_test_split(
    X2, y, test_size=0.33, random_state=42)




from sklearn.linear_model import LinearRegression
lr3 = LinearRegression()
lr3.fit(X_train,y_train)
ypred = lr3.predict(X_test)

from sklearn.metrics import mean_absolute_error
mae = mean_absolute_error(y_test,ypred)
print(mae)

from sklearn.tree import DecisionTreeRegressor
dtr = DecisionTreeRegressor()
dtr.fit(X_train,y_train)
ypred = dtr.predict(X_test)

from sklearn.metrics import mean_absolute_error
mae = mean_absolute_error(y_test,ypred)
print(mae)

from sklearn.ensemble import RandomForestRegressor
rfr = RandomForestRegressor(n_estimators=5)
rfr.fit(X_train,y_train)
ypred = rfr.predict(X_test)

from sklearn.metrics import mean_absolute_error
mae = mean_absolute_error(y_test,ypred)
print(mae)

from sklearn.svm import SVR
svr = SVR(kernel = 'linear')
svr.fit(X_train,y_train)
ypred = svr.predict(X_test)

from sklearn.metrics import mean_absolute_error
mae = mean_absolute_error(y_test,ypred)
print(mae)










